FROM tiangolo/uvicorn-gunicorn-fastapi:python3.9
ENV PORT 5000
ENV APP_MODULE app.api:app
ENV LOG_LEVEL debug
ENV WEB_CONCURRENCY 2

COPY ./requirements.txt ./requirements.txt
RUN pip install -r requirements.txt

RUN spacy download en_core_web_trf
RUN spacy download fr_core_news_md

COPY ./app /app/app
